Problém s instalací - chyba v autoload.php


#1

Ahoj,
pokouším se nainstalovat Magento, ale při spuštění index.php mi to hlásí tuto chybu:

Parse error: syntax error, unexpected ‘[’ in /hosting/www/ded.cz/www/_D_ded.cz/app/autoload.php on line 40

Vzhledem k tomu, že frameworkům moc nerozumím, netuším ani to v čem je chyba, zda mi tam chybí nějaká komponenta nebo něco jiného.

Verze Magenta: 2.1.2
Verze PHP: 5.3.29

Díky za případnou pomoc.


#2

Ahoj,

Magento2 beží na pouze na “nejnovějších” verzích PHP. Verze 5.3 není podporována a to bude nejspíše důvod tohoto erroru.

Magento2 beží na verzích:

  • 5.6.x
  • 5.5.x, kde x je 22 nebo vyšší
  • 7.x s některými vyjímkami u verze 7.0 a 7.1

Zdraví,
@Jaro


#3

Měl jste pravdu. Nechal jsem tam hodit aktualizaci PHP na verzi 7 a už to (částečně) jede. Je možné nějak vyřešit problém s nepovolenými funkcemi chráněnými safe_modem? Rozhodně je povolovat nechci…